kind: pipeline
name: default

steps:
  - name: restore-cache
    image: drillster/drone-volume-cache
    settings:
      restore: true
      mount:
        - ./repository
    volumes:
      - name: cache
        path: /cache

  - name: mvn-package
    image: maven:3.8.4-jdk-8
    commands:
      - mvn clean package -Dmaven.test.skip=true -Dmaven.repo.local=./repository -s ./setting.xml

  - name: rebuild-cache
    image: drillster/drone-volume-cache
    settings:
      rebuild: true
      mount:
        - ./repository
    volumes:
      - name: cache
        path: /cache

  - name: docker-build
    image: plugins/docker
    settings:
      tags:
        - latest
        - 1.0.${DRONE_BUILD_NUMBER}
      registry: nas.fast-fun.cn:5000
      insecure: true
      repo: nas.fast-fun.cn:5000/zk/station-control-tts

volumes:
  - name: cache
    host:
      path: /home/drone/cache

